# $Revision: 1.8 $, $Date: 2004/11/16 21:14:49 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	VR
Summary:	Classes: MASS, class, nnet, spatial
Summary(pl):	Klasy: MASS, class, nnet, spatial
Name:		R-cran-%{modulename}
Version:	7.2r10
Release:	1
License:	GPL v2+ (see LICENSE)
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	30f4e73e03a83a69faaf60402cf40617
URL:		http://www.stats.ox.ac.uk/pub/MASS4/
BuildRequires:	R-base >= 2.0.0
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
Requires:	R-cran-graphics
Requires:	R-cran-stats
Provides:	R-cran-MASS = %{version}-%{release}
Provides:	R-cran-class = %{version}-%{release}
Provides:	R-cran-nnet = %{version}-%{release}
Provides:	R-cran-spatial = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Functions and datasets to support Venables and Ripley, Modern Applied
Statistics with S (4th edition).

%description -l pl
Funkcje i zestawy danych zgodne z pozycj "Modern Applied Statistics
with S" ("Nowoczesne statystyka stosowana z uyciem S", wydanie 4.)
autorstwa Venablesa i Ripleya.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --htmllist)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/DESCRIPTION %{modulename}/LICENCE %{modulename}/WHATS.NEW
%{_libdir}/R/library/MASS
%{_libdir}/R/library/class
%{_libdir}/R/library/nnet
%{_libdir}/R/library/spatial

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-VR.spec,v $
Revision 1.8  2004/11/16 21:14:49  undefine
- up to 7.2-10, release 1

Revision 1.7  2004/11/01 23:42:09  undefine
- up to 7.2r9

Revision 1.6  2004/10/13 19:26:21  undefine
- don't use -n %{modulename} when build

Revision 1.5  2004/10/13 17:35:08  qboosh
- R s/perl/perl-base/

Revision 1.4  2004/10/13 17:16:38  qboosh
- cosmetic

Revision 1.3  2004/10/13 17:04:56  qboosh
- pl fix

Revision 1.2  2004/10/13 06:59:51  ankry
- spaces -> tabs

Revision 1.1  2004/10/12 17:36:59  undefine
- first recommended package, prepared by R-spec.sh ;)
